<![CDATA[ Package Installer Page Not Working on Revolution 2.7.0 - MODX Community Forums]]> https://forums.modx.com/thread/?thread=104923 <![CDATA[Package Installer Page Not Working on Revolution 2.7.0]]> https://forums.modx.com/thread/104923/package-installer-page-not-working-on-revolution-2-7-0#dis-post-564183
I upgraded my website back in December and was able to check and upgrade packages etc.
However, in the last 2 weeks, I have been unable to access the package installer page - it simply presents a server 500 error.

The issue definitely seems to be with the site rather than the host, because I have tested a fresh MODX install and the page works correctly.

There is also an error showing in the logs:
[Thu Feb 21 14:13:57.317800 2019] [proxy_fcgi:error] [pid 19828] [client XXXX] AH01071: Got error 'PHP message: PHP Fatal error: Uncaught Error: Class 'WorkspacesManagerController' not found in /XXXX/core/model/modx/modmanagerresponse.class.php:190\nStack trace:\n#0 /XXXX/core/model/modx/modmanagerresponse.class.php(78): modManagerResponse->instantiateController('WorkspacesManag...', 'getInstance')\n#1 /XXXX/core/model/modx/modmanagerrequest.class.php(187): modManagerResponse->outputContent(Array)\n#2 /XXXX/core/model/modx/modmanagerrequest.class.php(135): modManagerRequest->prepareResponse()\n#3 /XXXX/manager/index.php(59): modManagerRequest->handleRequest()\n#4 {main}\n thrown in /XXXX/core/model/modx/modmanagerresponse.class.php on line 190\n', referer: XXXX/manager/?a=resource/update&id=5

Any ideas on the issue?]]>
jadewhy Feb 21, 2019, 02:32 PM https://forums.modx.com/thread/104923/package-installer-page-not-working-on-revolution-2-7-0#dis-post-564183
<![CDATA[Re: Package Installer Page Not Working on Revolution 2.7.0]]> https://forums.modx.com/thread/104923/package-installer-page-not-working-on-revolution-2-7-0#dis-post-564187
What version of PHP?

]]>
BobRay Feb 21, 2019, 09:36 PM https://forums.modx.com/thread/104923/package-installer-page-not-working-on-revolution-2-7-0#dis-post-564187